(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     32894,        904]
NotebookOptionsPosition[     29908,        849]
NotebookOutlinePosition[     30317,        865]
CellTagsIndexPosition[     30274,        862]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Spherical Coordinates", "Title",
 CellChangeTimes->{{3.858070676380069*^9, 3.8580706853562527`*^9}, {
  3.8580718834230127`*^9, 
  3.85807188848494*^9}},ExpressionUUID->"8ca8e658-679a-4e25-95a4-\
9ac084a040b6"],

Cell["Marvin Zanke & Leon von Detten", "Author",
 CellChangeTimes->{{3.858072669449992*^9, 3.858072681946897*^9}, {
  3.8593704008064528`*^9, 
  3.859370404994028*^9}},ExpressionUUID->"ba520149-9e6b-4be2-9764-\
612e0c775014"],

Cell["04.04.2022", "Date",
 CellChangeTimes->{{3.85807268424109*^9, 
  3.858072691384288*^9}},ExpressionUUID->"e0fcc9a5-b472-42a1-9494-\
224f11a41366"],

Cell["\<\
In this notebook, we solve H .1b) from the homework problems of sheet 1, that \
is we perform a matrix inversion to find the Cartesian basis vectors in terms \
of the basis vectors in spherical coordinates. Furthermore, we perform a \
calculation that is tedious if done with pen and paper.\
\>", "Text",
 CellChangeTimes->{{3.859370463057725*^9, 3.859370470933772*^9}, 
   3.859370893562549*^9},ExpressionUUID->"b1c14961-da49-4a2d-b774-\
edb753763b0a"],

Cell["\<\
To evaluate a cell, go to \[OpenCurlyDoubleQuote]Evaluation \[Rule] Evaluate \
Cells\[CloseCurlyDoubleQuote] after selecting the corresponding cell. \
Alternatively, one can evaluate the whole Notebook at once via \
\[OpenCurlyDoubleQuote]Evaluation \[Rule] Evaluate Notebook\
\[CloseCurlyDoubleQuote]. When opening a new Notebook, it might be convenient \
to clear the kernel, which removes all previous evaluations from your RAM. To \
do so, go to \[OpenCurlyDoubleQuote]Evaluation \[Rule] Quit Kernel \[Rule] \
Local\[CloseCurlyDoubleQuote].\
\>", "Text",
 CellChangeTimes->{{3.859371139411276*^9, 3.859371187670753*^9}, {
  3.859371671606099*^9, 
  3.8593717799702806`*^9}},ExpressionUUID->"1b9a377e-488b-46fe-9cb2-\
8fd4ad5ae9e4"],

Cell[CellGroupData[{

Cell["Matrix Inversion", "Section",
 CellChangeTimes->{{3.858072385685214*^9, 
  3.8580723921380653`*^9}},ExpressionUUID->"715f478c-b6be-49b8-ba7b-\
77df575a4b2f"],

Cell[TextData[{
 "Define the matrix M that fulfills ",
 Cell[BoxData[
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      SubscriptBox[
       OverscriptBox["e", "\[RightVector]"], "r"], ",", 
      SubscriptBox[
       OverscriptBox["e", "\[RightVector]"], "\[Theta]"], ",", 
      SubscriptBox[
       OverscriptBox["e", "\[RightVector]"], "\[Phi]"]}], ")"}], "T"], "=", 
   RowBox[{"M", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SubscriptBox[
        OverscriptBox["e", "\[RightVector]"], "x"], ",", 
       SubscriptBox[
        OverscriptBox["e", "\[RightVector]"], "y"], ",", 
       SubscriptBox[
        OverscriptBox["e", "\[RightVector]"], "z"]}], ")"}], "T"]}]}]],
  CellChangeTimes->{{3.858070799594154*^9, 3.8580709568487597`*^9}, {
   3.858070999875181*^9, 3.858071021392075*^9}, {3.858071121782398*^9, 
   3.8580711240413437`*^9}, {3.8580727548372717`*^9, 3.858072759460086*^9}, {
   3.859370916111355*^9, 3.859371050011018*^9}},ExpressionUUID->
  "ac800e74-6c8c-466d-9b05-379e8982c003"],
 ". To enter a matrix, go to \[OpenCurlyDoubleQuote]Palettes \[Rule] Basic \
Math Assistant\[CloseCurlyDoubleQuote] and scroll down to insert 2x2 matrix. \
Keep your cursor on this symbol without clicking it to find more relevant \
information, e.g., how to extend the matrix by additional rows/columns. At \
this, the semicolon suppresses the output."
}], "Text",
 CellChangeTimes->{{3.85937107660606*^9, 3.859371126349085*^9}, {
  3.8593713064514008`*^9, 
  3.859371316255603*^9}},ExpressionUUID->"79a9c46f-1956-4f01-b6c3-\
073a2115b223"],

Cell[BoxData[
 RowBox[{
  RowBox[{"M", "=", 
   RowBox[{"(", GridBox[{
      {
       RowBox[{
        RowBox[{"Sin", "[", "\[Theta]", "]"}], 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}], 
       RowBox[{
        RowBox[{"Sin", "[", "\[Theta]", "]"}], 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}], 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]},
      {
       RowBox[{
        RowBox[{"Cos", "[", "\[Theta]", "]"}], 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}], 
       RowBox[{
        RowBox[{"Cos", "[", "\[Theta]", "]"}], 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}], 
       RowBox[{"-", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}]}]},
      {
       RowBox[{"-", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}], 
       RowBox[{"Cos", "[", "\[Phi]", "]"}], "0"}
     }], ")"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.858070799594154*^9, 3.8580709568487597`*^9}, {
  3.858070999875181*^9, 3.858071021392075*^9}, {3.858071121782398*^9, 
  3.8580711240413437`*^9}, {3.8580727548372717`*^9, 3.858072759460086*^9}, {
  3.859370916111355*^9, 3.859371050011018*^9}, {3.8593711969880667`*^9, 
  3.859371200218088*^9}},
 CellLabel->
  "In[597]:=",ExpressionUUID->"60cf67e5-ce2f-4c96-87df-d2a6b98aee82"],

Cell[TextData[{
 "Invert the matrix above to find ",
 Cell[BoxData[
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      SubscriptBox[
       OverscriptBox["e", "\[RightVector]"], "x"], ",", 
      SubscriptBox[
       OverscriptBox["e", "\[RightVector]"], "y"], ",", 
      SubscriptBox[
       OverscriptBox["e", "\[RightVector]"], "z"]}], ")"}], "T"], "=", 
   RowBox[{
    SuperscriptBox["M", 
     RowBox[{"-", "1"}]], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SubscriptBox[
        OverscriptBox["e", "\[RightVector]"], "r"], ",", 
       SubscriptBox[
        OverscriptBox["e", "\[RightVector]"], "\[Theta]"], ",", 
       SubscriptBox[
        OverscriptBox["e", "\[RightVector]"], "\[Phi]"]}], ")"}], "T"]}]}]],
  CellChangeTimes->{{3.858071022181374*^9, 3.858071080129072*^9}, {
   3.858072142420374*^9, 3.858072145211916*^9}, {3.858072226481174*^9, 
   3.8580722626629543`*^9}, {3.858072726812291*^9, 3.858072768858445*^9}},
  ExpressionUUID->"7bc0d2d1-7368-4a12-a202-9c769249a796"],
 " and store the result as \
\[OpenCurlyDoubleQuote]MInv\[CloseCurlyDoubleQuote]. "
}], "Text",
 CellChangeTimes->{{3.859371203016045*^9, 3.8593712202784977`*^9}, {
  3.859371282930491*^9, 
  3.8593712889848757`*^9}},ExpressionUUID->"966eae94-e219-412d-93a0-\
25b78d84c558"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MInv", "=", 
  RowBox[{"Inverse", "[", "M", "]"}]}]], "Input",
 CellChangeTimes->{{3.858071022181374*^9, 3.858071080129072*^9}, {
  3.858072142420374*^9, 3.858072145211916*^9}, {3.858072226481174*^9, 
  3.8580722626629543`*^9}, {3.858072726812291*^9, 3.858072768858445*^9}, {
  3.859371248526466*^9, 3.859371262522479*^9}},
 CellLabel->
  "In[598]:=",ExpressionUUID->"f6d76dcf-13db-47c1-93c2-5c4b259f2ab8"],

Cell[BoxData[
 FormBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox[
       RowBox[{
        RowBox[{"sin", "(", "\[Theta]", ")"}], " ", 
        RowBox[{"cos", "(", "\[Phi]", ")"}]}], 
       RowBox[{
        RowBox[{
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Phi]", ")"}]}]}]], 
      FractionBox[
       RowBox[{
        RowBox[{"cos", "(", "\[Theta]", ")"}], " ", 
        RowBox[{"cos", "(", "\[Phi]", ")"}]}], 
       RowBox[{
        RowBox[{
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Phi]", ")"}]}]}]], 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"-", 
           RowBox[{"sin", "(", "\[Phi]", ")"}]}], ")"}]}], "-", 
        RowBox[{
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{"sin", "(", "\[Phi]", ")"}]}]}], 
       RowBox[{
        RowBox[{
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Phi]", ")"}]}]}]]},
     {
      FractionBox[
       RowBox[{
        RowBox[{"sin", "(", "\[Theta]", ")"}], " ", 
        RowBox[{"sin", "(", "\[Phi]", ")"}]}], 
       RowBox[{
        RowBox[{
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Phi]", ")"}]}]}]], 
      FractionBox[
       RowBox[{
        RowBox[{"cos", "(", "\[Theta]", ")"}], " ", 
        RowBox[{"sin", "(", "\[Phi]", ")"}]}], 
       RowBox[{
        RowBox[{
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Phi]", ")"}]}]}]], 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{"cos", "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{"cos", "(", "\[Phi]", ")"}]}]}], 
       RowBox[{
        RowBox[{
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Phi]", ")"}]}]}]]},
     {
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"cos", "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{"cos", "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Phi]", ")"}]}]}], 
       RowBox[{
        RowBox[{
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Phi]", ")"}]}]}]], 
      FractionBox[
       RowBox[{
        RowBox[{"-", 
         RowBox[{
          RowBox[{"sin", "(", "\[Theta]", ")"}], " ", 
          RowBox[{
           SuperscriptBox["sin", "2"], "(", "\[Phi]", ")"}]}]}], "-", 
        RowBox[{
         RowBox[{"sin", "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Phi]", ")"}]}]}], 
       RowBox[{
        RowBox[{
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Phi]", ")"}]}], "+", 
        RowBox[{
         RowBox[{
          SuperscriptBox["cos", "2"], "(", "\[Theta]", ")"}], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Phi]", ")"}]}]}]], "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.858071049819085*^9, 3.8580710808228703`*^9}, 
   3.858071130720996*^9, 3.858072145846505*^9, {3.85807225765269*^9, 
   3.8580722630944157`*^9}, 3.858659662662725*^9, 3.858659737374928*^9, 
   3.858659951325755*^9, 3.859371273951096*^9},
 CellLabel->
  "Out[598]=",ExpressionUUID->"68a716f0-4ffb-43f2-8eb7-f6df45214a04"]
}, Open  ]],

Cell["\<\
Use \[OpenCurlyDoubleQuote]Simplify\[CloseCurlyDoubleQuote] to perform some \
simplifications on the result.\
\>", "Text",
 CellChangeTimes->{{3.859371230229835*^9, 
  3.8593712357463217`*^9}},ExpressionUUID->"c36dd3fe-0778-4fa3-ad70-\
b4923c2bde3d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MInvSimp", "=", 
  RowBox[{"MInv", "//", "Simplify"}]}]], "Input",
 CellLabel->
  "In[599]:=",ExpressionUUID->"885f8fc0-9e6c-4a7a-badb-d2547504e5c9"],

Cell[BoxData[
 FormBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"sin", "(", "\[Theta]", ")"}], " ", 
       RowBox[{"cos", "(", "\[Phi]", ")"}]}], 
      RowBox[{
       RowBox[{"cos", "(", "\[Theta]", ")"}], " ", 
       RowBox[{"cos", "(", "\[Phi]", ")"}]}], 
      RowBox[{"-", 
       RowBox[{"sin", "(", "\[Phi]", ")"}]}]},
     {
      RowBox[{
       RowBox[{"sin", "(", "\[Theta]", ")"}], " ", 
       RowBox[{"sin", "(", "\[Phi]", ")"}]}], 
      RowBox[{
       RowBox[{"cos", "(", "\[Theta]", ")"}], " ", 
       RowBox[{"sin", "(", "\[Phi]", ")"}]}], 
      RowBox[{"cos", "(", "\[Phi]", ")"}]},
     {
      RowBox[{"cos", "(", "\[Theta]", ")"}], 
      RowBox[{"-", 
       RowBox[{"sin", "(", "\[Theta]", ")"}]}], "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}], TraditionalForm]], "Output",
 CellChangeTimes->{3.859371296101166*^9},
 CellLabel->
  "Out[599]=",ExpressionUUID->"6dc4f472-f2ad-424b-98de-ad462a3910ad"]
}, Open  ]],

Cell[TextData[{
 "The vector ",
 Cell[BoxData[
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox[
      OverscriptBox["e", "\[RightVector]"], "x"], ",", 
     SubscriptBox[
      OverscriptBox["e", "\[RightVector]"], "y"], ",", 
     SubscriptBox[
      OverscriptBox["e", "\[RightVector]"], "z"]}], ")"}], "T"]],
  ExpressionUUID->"4db41bd8-92c5-44a0-b6ee-839917ebc7b9"],
 " is found by multiplying the inverted matrix with the vector ",
 Cell[BoxData[
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     SubscriptBox[
      OverscriptBox["e", "\[RightVector]"], "r"], ",", 
     SubscriptBox[
      OverscriptBox["e", "\[RightVector]"], "\[Theta]"], ",", 
     SubscriptBox[
      OverscriptBox["e", "\[RightVector]"], "\[Phi]"]}], ")"}], "T"]],
  ExpressionUUID->"0ca3bd8f-4b9a-435f-8e65-53d7af0d6a1a"],
 "."
}], "Text",
 CellChangeTimes->{{3.859371298453071*^9, 
  3.859371372345607*^9}},ExpressionUUID->"59a8a2db-2372-42ad-b1fd-\
fb5abf0d5b05"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"exeyez", "=", 
  RowBox[{
   RowBox[{"MInvSimp", ".", 
    RowBox[{"(", GridBox[{
       {"er"},
       {"e\[Theta]"},
       {"e\[Phi]"}
      }], ")"}]}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.85937132966813*^9, 3.859371330291129*^9}},
 CellLabel->
  "In[600]:=",ExpressionUUID->"6ec0d17f-f9d7-4341-9bb2-ac8731c89f7a"],

Cell[BoxData[
 FormBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"e\[Theta]", " ", 
        RowBox[{"cos", "(", "\[Theta]", ")"}], " ", 
        RowBox[{"cos", "(", "\[Phi]", ")"}]}], "+", 
       RowBox[{"er", " ", 
        RowBox[{"sin", "(", "\[Theta]", ")"}], " ", 
        RowBox[{"cos", "(", "\[Phi]", ")"}]}], "-", 
       RowBox[{"e\[Phi]", " ", 
        RowBox[{"sin", "(", "\[Phi]", ")"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"sin", "(", "\[Phi]", ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"e\[Theta]", " ", 
           RowBox[{"cos", "(", "\[Theta]", ")"}]}], "+", 
          RowBox[{"er", " ", 
           RowBox[{"sin", "(", "\[Theta]", ")"}]}]}], ")"}]}], "+", 
       RowBox[{"e\[Phi]", " ", 
        RowBox[{"cos", "(", "\[Phi]", ")"}]}]}]},
     {
      RowBox[{
       RowBox[{"er", " ", 
        RowBox[{"cos", "(", "\[Theta]", ")"}]}], "-", 
       RowBox[{"e\[Theta]", " ", 
        RowBox[{"sin", "(", "\[Theta]", ")"}]}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}], TraditionalForm]], "Output",
 CellChangeTimes->{3.8593713705347443`*^9},
 CellLabel->
  "Out[600]=",ExpressionUUID->"46770693-6087-44c4-a744-1e0e80adbe9d"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Nabla \[Del]", "Section",
 CellChangeTimes->{{3.85807239656207*^9, 3.8580724058205433`*^9}, {
  3.8580727925612907`*^9, 
  3.858072799197822*^9}},ExpressionUUID->"8fc8133f-e475-4af2-85cc-\
7a8c60d83b91"],

Cell[TextData[{
 "Auxiliary calculation to obtain ",
 Cell[BoxData[
  RowBox[{
   RowBox[{"\[Del]", "=", 
    SubscriptBox[
     OverscriptBox["e", "\[RightVector]"], "x"]}], 
   RowBox[{
    SubscriptBox["\[PartialD]", "x"], 
    RowBox[{"+", 
     SubscriptBox[
      OverscriptBox["e", "\[RightVector]"], "y"]}]}], 
   RowBox[{
    SubscriptBox["\[PartialD]", "y"], 
    RowBox[{"+", 
     SubscriptBox[
      OverscriptBox["e", "\[RightVector]"], "z"]}]}], 
   SubscriptBox["\[PartialD]", "z"]}]],
  CellChangeTimes->{{3.858071973571432*^9, 3.858072223272728*^9}, {
    3.858072267975821*^9, 3.858072381333853*^9}, {3.85807242158315*^9, 
    3.8580724479690247`*^9}, {3.858072784724806*^9, 3.858072787843659*^9}, 
    3.858659594189252*^9, {3.85865966237075*^9, 3.858659710119081*^9}, {
    3.858659744424158*^9, 3.858659802768199*^9}, {3.85865985014795*^9, 
    3.858659921088407*^9}},ExpressionUUID->
  "4bfa1156-c64b-4f10-91ce-0048a8aad4ba"],
 " in spherical coordinates. Comments in Mathematica can be inserted by \
enclosing the text in \[OpenCurlyDoubleQuote](*\[CloseCurlyDoubleQuote] and \
\[OpenCurlyDoubleQuote]*)\[CloseCurlyDoubleQuote]."
}], "Text",
 CellChangeTimes->{{3.8593713794625273`*^9, 3.8593713947255487`*^9}, {
  3.8593715585015173`*^9, 
  3.859371577167734*^9}},ExpressionUUID->"3bde8ab7-d3bb-4add-ab5e-\
14002f39de7c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Note", " ", "that", " ", "by", " ", "\[Delta]"}], ",", " ", 
    RowBox[{
    "we", " ", "mean", " ", "the", " ", "partial", " ", "derivative", " ", 
     "\[PartialD]"}], ",", " ", 
    RowBox[{
    "for", " ", "which", " ", "we", " ", "use", " ", "the", " ", "chain", " ",
      "rule"}], ",", " ", 
    RowBox[{"e", ".", "g", "."}], ",", " ", 
    RowBox[{
     SubscriptBox["\[PartialD]", "x"], 
     RowBox[{"=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"\[PartialD]", "r"}], 
          RowBox[{"\[PartialD]", "x"}]], 
         RowBox[{
          SubscriptBox["\[PartialD]", "r"], 
          RowBox[{"+", 
           FractionBox[
            RowBox[{"\[PartialD]", "\[Theta]"}], 
            RowBox[{"\[PartialD]", "x"}]]}]}], 
         RowBox[{
          SubscriptBox["\[PartialD]", "\[Theta]"], 
          RowBox[{"+", 
           FractionBox[
            RowBox[{"\[PartialD]", "r"}], 
            RowBox[{"\[PartialD]", "\[Phi]"}]]}]}], 
         SubscriptBox["\[PartialD]", "\[Phi]"]}], ")"}], "."}]}]}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Nabla", "=", 
    RowBox[{
     RowBox[{"ex", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"Sin", "[", "\[Theta]", "]"}], 
         RowBox[{"Cos", "[", "\[Phi]", "]"}], "\[Delta]r"}], "+", 
        RowBox[{
         FractionBox[
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], 
           RowBox[{"Cos", "[", "\[Phi]", "]"}]}], "r"], "\[Delta]\[Theta]"}], 
        "-", 
        RowBox[{
         FractionBox[
          RowBox[{"Sin", "[", "\[Phi]", "]"}], 
          RowBox[{"r", "*", 
           RowBox[{"Sin", "[", "\[Theta]", "]"}]}]], "\[Delta]\[Phi]"}]}], 
       ")"}]}], "+", 
     RowBox[{"ey", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"Sin", "[", "\[Theta]", "]"}], 
         RowBox[{"Sin", "[", "\[Phi]", "]"}], "\[Delta]r"}], "+", 
        RowBox[{
         FractionBox[
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], 
           RowBox[{"Sin", "[", "\[Phi]", "]"}]}], "r"], "\[Delta]\[Theta]"}], 
        "+", 
        RowBox[{
         FractionBox[
          RowBox[{"Cos", "[", "\[Phi]", "]"}], 
          RowBox[{"r", "*", 
           RowBox[{"Sin", "[", "\[Theta]", "]"}]}]], "\[Delta]\[Phi]"}]}], 
       ")"}]}], "+", 
     RowBox[{"ez", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"Cos", "[", "\[Theta]", "]"}], "*", "\[Delta]r"}], "-", 
        RowBox[{
         FractionBox[
          RowBox[{"Sin", "[", "\[Theta]", "]"}], "r"], "\[Delta]\[Theta]"}]}],
        ")"}]}]}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.858071973571432*^9, 3.858072223272728*^9}, {
   3.858072267975821*^9, 3.858072381333853*^9}, {3.85807242158315*^9, 
   3.8580724479690247`*^9}, {3.858072784724806*^9, 3.858072787843659*^9}, 
   3.858659594189252*^9, {3.85865966237075*^9, 3.858659710119081*^9}, {
   3.858659744424158*^9, 3.858659802768199*^9}, {3.85865985014795*^9, 
   3.858659921088407*^9}, {3.859371402212163*^9, 3.8593714350578423`*^9}},
 CellLabel->
  "In[601]:=",ExpressionUUID->"04594cae-b8c0-43ad-8e14-936dac8f66eb"],

Cell[TextData[{
 "Insert the relation for ",
 Cell[BoxData[
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      SubscriptBox[
       OverscriptBox["e", "\[RightVector]"], "x"], ",", 
      SubscriptBox[
       OverscriptBox["e", "\[RightVector]"], "y"], ",", 
      SubscriptBox[
       OverscriptBox["e", "\[RightVector]"], "z"]}], ")"}], "T"], "=", 
   RowBox[{
    SuperscriptBox["M", 
     RowBox[{"-", "1"}]], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SubscriptBox[
        OverscriptBox["e", "\[RightVector]"], "r"], ",", 
       SubscriptBox[
        OverscriptBox["e", "\[RightVector]"], "\[Theta]"], ",", 
       SubscriptBox[
        OverscriptBox["e", "\[RightVector]"], "\[Phi]"]}], ")"}], "T"]}]}]],
  CellChangeTimes->{{3.858071973571432*^9, 3.858072223272728*^9}, {
    3.858072267975821*^9, 3.858072381333853*^9}, {3.85807242158315*^9, 
    3.8580724479690247`*^9}, {3.858072784724806*^9, 3.858072787843659*^9}, 
    3.858659594189252*^9, {3.85865966237075*^9, 3.858659710119081*^9}, {
    3.858659744424158*^9, 3.858659802768199*^9}, {3.85865985014795*^9, 
    3.858659921088407*^9}, {3.859371402212163*^9, 3.859371410589695*^9}},
  ExpressionUUID->"9a5b690a-9a24-4bc3-8f07-56a1528f756a"],
 " found above. At this, \[OpenCurlyDoubleQuote][[i]]\[CloseCurlyDoubleQuote] \
gives the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["i", "th"], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "8c14e935-6503-4e47-9975-d4c0077043b8"],
 " element of the vector \
\[OpenCurlyDoubleQuote]exeyez\[CloseCurlyDoubleQuote]."
}], "Text",
 CellChangeTimes->{{3.8593714126385193`*^9, 3.859371431158559*^9}, {
  3.859371600637444*^9, 
  3.859371626959898*^9}},ExpressionUUID->"776ba10e-4ec8-4e92-bad4-\
894ba11c11d3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Nabla", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"ex", "\[Rule]", 
       RowBox[{"exeyez", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ",", 
      RowBox[{"ey", "\[Rule]", 
       RowBox[{"exeyez", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], ",", 
      RowBox[{"ez", "\[Rule]", 
       RowBox[{"exeyez", "[", 
        RowBox[{"[", "3", "]"}], "]"}]}]}], "}"}]}], "//", "Simplify"}], "//",
   "Expand"}]], "Input",
 CellLabel->
  "In[602]:=",ExpressionUUID->"a68c3ab5-d2c2-4fac-900a-2fd2337b0808"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    FractionBox[
     RowBox[{"\[Delta]\[Theta]", " ", "e\[Theta]"}], "r"], "+", 
    RowBox[{"\[Delta]r", " ", "er"}], "+", 
    FractionBox[
     RowBox[{"\[Delta]\[Phi]", " ", "e\[Phi]", " ", 
      RowBox[{"csc", "(", "\[Theta]", ")"}]}], "r"]}], "}"}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{3.859371449551696*^9},
 CellLabel->
  "Out[602]=",ExpressionUUID->"9a04e6f1-c94f-48e8-b3c7-7110404341c3"]
}, Open  ]],

Cell[TextData[{
 "Note that ",
 Cell[BoxData[
  RowBox[{
   RowBox[{"Csc", "[", "x", "]"}], "=", 
   FractionBox["1", 
    RowBox[{"Sin", "[", "x", "]"}]]}]],
  CellChangeTimes->{{3.8580724505646133`*^9, 3.858072482435569*^9}, {
   3.8580725125686693`*^9, 3.8580725188063927`*^9}},ExpressionUUID->
  "03233ff0-c3c9-43a9-a302-dd75567621d2"],
 ". Here, \[OpenCurlyDoubleQuote]==\[CloseCurlyDoubleQuote] is a comparison \
between two expressions, which yields either True or False (or more \
complicated conditions under which the equality holds)."
}], "Text",
 CellChangeTimes->{{3.859371452530644*^9, 
  3.859371524696166*^9}},ExpressionUUID->"340f0d35-7adf-4b47-a845-\
6298c72fbb75"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Csc", "[", "\[Theta]", "]"}], "\[Equal]", 
   FractionBox["1", 
    RowBox[{"Sin", "[", "\[Theta]", "]"}]]}], "//", "Reduce"}]], "Input",
 CellChangeTimes->{{3.8580724505646133`*^9, 3.858072482435569*^9}, {
  3.8580725125686693`*^9, 3.8580725188063927`*^9}, {3.859371466555531*^9, 
  3.859371467077051*^9}},
 CellLabel->
  "In[603]:=",ExpressionUUID->"6a54cd13-80fe-4a27-b545-aacc2777143e"],

Cell[BoxData[
 FormBox["True", TraditionalForm]], "Output",
 CellChangeTimes->{3.8580724827488194`*^9, 3.858659662935577*^9, 
  3.8586597375883408`*^9, 3.858659951607336*^9, 3.859371467480302*^9},
 CellLabel->
  "Out[603]=",ExpressionUUID->"719ca3a0-0a0a-4bb5-8a9c-ecdaf1a576b2"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{808, 605},
WindowMargins->{{118, Automatic}, {Automatic, 43}},
FrontEndVersion->"12.0 for Mac OS X x86 (64-bit) (April 8, 2019)",
StyleDefinitions->FrontEnd`FileName[{"Report"}, "StandardReport.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 216, 4, 97, "Title",ExpressionUUID->"8ca8e658-679a-4e25-95a4-9ac084a040b6"],
Cell[799, 28, 225, 4, 40, "Author",ExpressionUUID->"ba520149-9e6b-4be2-9764-612e0c775014"],
Cell[1027, 34, 151, 3, 42, "Date",ExpressionUUID->"e0fcc9a5-b472-42a1-9494-224f11a41366"],
Cell[1181, 39, 463, 8, 80, "Text",ExpressionUUID->"b1c14961-da49-4a2d-b774-edb753763b0a"],
Cell[1647, 49, 745, 13, 103, "Text",ExpressionUUID->"1b9a377e-488b-46fe-9cb2-8fd4ad5ae9e4"],
Cell[CellGroupData[{
Cell[2417, 66, 163, 3, 69, "Section",ExpressionUUID->"715f478c-b6be-49b8-ba7b-77df575a4b2f"],
Cell[2583, 71, 1580, 37, 107, "Text",ExpressionUUID->"79a9c46f-1956-4f01-b6c3-073a2115b223"],
Cell[4166, 110, 1212, 32, 76, "Input",ExpressionUUID->"60cf67e5-ce2f-4c96-87df-d2a6b98aee82"],
Cell[5381, 144, 1305, 35, 38, "Text",ExpressionUUID->"966eae94-e219-412d-93a0-25b78d84c558"],
Cell[CellGroupData[{
Cell[6711, 183, 430, 8, 41, "Input",ExpressionUUID->"f6d76dcf-13db-47c1-93c2-5c4b259f2ab8"],
Cell[7144, 193, 8956, 247, 121, "Output",ExpressionUUID->"68a716f0-4ffb-43f2-8eb7-f6df45214a04"]
}, Open  ]],
Cell[16115, 443, 260, 6, 34, "Text",ExpressionUUID->"c36dd3fe-0778-4fa3-ad70-b4923c2bde3d"],
Cell[CellGroupData[{
Cell[16400, 453, 173, 4, 41, "Input",ExpressionUUID->"885f8fc0-9e6c-4a7a-badb-d2547504e5c9"],
Cell[16576, 459, 1247, 35, 73, "Output",ExpressionUUID->"6dc4f472-f2ad-424b-98de-ad462a3910ad"]
}, Open  ]],
Cell[17838, 497, 966, 29, 38, "Text",ExpressionUUID->"59a8a2db-2372-42ad-b1fd-fb5abf0d5b05"],
Cell[CellGroupData[{
Cell[18829, 530, 360, 11, 72, "Input",ExpressionUUID->"6ec0d17f-f9d7-4341-9bb2-ac8731c89f7a"],
Cell[19192, 543, 1513, 42, 73, "Output",ExpressionUUID->"46770693-6087-44c4-a744-1e0e80adbe9d"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[20754, 591, 209, 4, 69, "Section",ExpressionUUID->"8fc8133f-e475-4af2-85cc-7a8c60d83b91"],
Cell[20966, 597, 1346, 32, 60, "Text",ExpressionUUID->"3bde8ab7-d3bb-4add-ab5e-14002f39de7c"],
Cell[22315, 631, 3275, 90, 156, "Input",ExpressionUUID->"04594cae-b8c0-43ad-8e14-936dac8f66eb"],
Cell[25593, 723, 1774, 45, 61, "Text",ExpressionUUID->"776ba10e-4ec8-4e92-bad4-894ba11c11d3"],
Cell[CellGroupData[{
Cell[27392, 772, 565, 17, 63, "Input",ExpressionUUID->"a68c3ab5-d2c2-4fac-900a-2fd2337b0808"],
Cell[27960, 791, 466, 13, 57, "Output",ExpressionUUID->"9a04e6f1-c94f-48e8-b3c7-7110404341c3"]
}, Open  ]],
Cell[28441, 807, 683, 16, 63, "Text",ExpressionUUID->"340f0d35-7adf-4b47-a845-6298c72fbb75"],
Cell[CellGroupData[{
Cell[29149, 827, 437, 10, 60, "Input",ExpressionUUID->"6a54cd13-80fe-4a27-b545-aacc2777143e"],
Cell[29589, 839, 279, 5, 37, "Output",ExpressionUUID->"719ca3a0-0a0a-4bb5-8a9c-ecdaf1a576b2"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

